Uses of Interface
org.apache.camel.builder.endpoint.dsl.JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder
Packages that use JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder
-
Uses of JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder in org.apache.camel.builder.endpoint.dsl
Subinterfaces of JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder in org.apache.camel.builder.endpoint.dslModifier and TypeInterfaceDescriptionstatic interfaceAdvanced builder for endpoint for the JPA component.Methods in org.apache.camel.builder.endpoint.dsl that return JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilderModifier and TypeMethodDescriptionJpaEndpointBuilderFactory.JpaEndpointConsumerBuilder.advanced()JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder.bridgeErrorHandler(boolean bridgeErrorHandler) Allows for bridging the consumer to the Camel routing Error Handler, which mean any exceptions (if possible) occurred while the Camel consumer is trying to pickup incoming messages, or the likes, will now be processed as a message and handled by the routing Error Handler.JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder.bridgeErrorHandler(String bridgeErrorHandler) Allows for bridging the consumer to the Camel routing Error Handler, which mean any exceptions (if possible) occurred while the Camel consumer is trying to pickup incoming messages, or the likes, will now be processed as a message and handled by the routing Error Handler.JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder.entityManagerProperties(String key, Object value) Additional properties for the entity manager to use.JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder.entityManagerProperties(Map values) Additional properties for the entity manager to use.JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder.exceptionHandler(String exceptionHandler) To let the consumer use a custom ExceptionHandler.JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder.exceptionHandler(org.apache.camel.spi.ExceptionHandler exceptionHandler) To let the consumer use a custom ExceptionHandler.JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder.exchangePattern(String exchangePattern) Sets the exchange pattern when the consumer creates an exchange.JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder.exchangePattern(org.apache.camel.ExchangePattern exchangePattern) Sets the exchange pattern when the consumer creates an exchange.JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder.parameters(String key, Object value) This key/value mapping is used for building the query parameters.JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder.parameters(Map values) This key/value mapping is used for building the query parameters.JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder.pollStrategy(String pollStrategy) A pluggable org.apache.camel.PollingConsumerPollingStrategy allowing you to provide your custom implementation to control error handling usually occurred during the poll operation before an Exchange have been created and being routed in Camel.JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder.pollStrategy(org.apache.camel.spi.PollingConsumerPollStrategy pollStrategy) A pluggable org.apache.camel.PollingConsumerPollingStrategy allowing you to provide your custom implementation to control error handling usually occurred during the poll operation before an Exchange have been created and being routed in Camel.JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder.sharedEntityManager(boolean sharedEntityManager) Whether to use Spring's SharedEntityManager for the consumer/producer.JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder.sharedEntityManager(String sharedEntityManager) Whether to use Spring's SharedEntityManager for the consumer/producer.